Bug 1475536 - Review Request: python-pygments2 - Syntax highlighting engine written in Python
Review Request: python-pygments2 - Syntax highlighting engine written in Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neal Gompa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 16:58 EDT by Igor Gnatenko
Modified: 2017-08-04 11:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-04 11:18:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ngompa13: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2017-07-26 16:58:07 EDT
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/python-pygments2.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/python-pygments2-2.2.0-1.el7.centos.src.rpm
Description:
Pygments is a generic syntax highlighter for general use in all kinds
of software such as forum systems, wikis or other applications that
need to prettify source code. Highlights are:

  * a wide range of common languages and markup formats is supported
  * special attention is paid to details that increase highlighting
    quality
  * support for new languages and formats are added easily; most
    languages use a simple regex-based lexing mechanism
  * a number of output formats is available, among them HTML, RTF,
    LaTeX and ANSI sequences
  * it is usable as a command-line tool and as a library
  * ... and it highlights even Brainf*ck!
Fedora Account System Username: ignatenkobrain

P.S. note that this package is EPEL7 only and primary use-case is having some modern version of pygments for pagure.
Comment 1 Neal Gompa 2017-07-26 21:40:57 EDT
Taking this review.
Comment 2 Neal Gompa 2017-07-26 21:49:27 EDT
Review notes:

* Package follows Python packaging guidelines
* Package follows extended guidelines for EPEL
* Package is named to differentiate from the base package
* Package generates no conflicts, binaries are renamed to not conflict
* License file is installed as %license
* No rpmlint errors
* No notable issues from fedora-review

PACKAGE APPROVED.
Comment 3 Gwyn Ciesla 2017-07-27 08:29:24 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-pygments2
Comment 4 Fedora Update System 2017-07-27 16:27:07 EDT
python-pygments2-2.2.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9ea1ba80aa
Comment 5 Fedora Update System 2017-07-28 17:19:50 EDT
python-pygments2-2.2.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9ea1ba80aa
Comment 6 Fedora Update System 2017-08-04 11:18:34 EDT
python-pygments2-2.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.